Get Infra Policy

Get Infra Policy
Get an infra policy.

Retrieves a specific infra policy by its URN.

Request
URI
GET
https://{api_host}/cloudapi/v1/infraPolicies/{urn}
COPY
Path Parameters
string
urn
Required

The URN of the infra policy.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns InfraPolicy of type(s) application/json;version=9.1.0
{
    "id": "string",
    "name": "string",
    "description": "string",
    "vcComputePolicyName": "string",
    "isMandatory": false,
    "policyRule": {
        "operator": "string",
        "rules": [
            {
                "operator": "string",
                "rules": [
                    "PolicyRule Object"
                ],
                "workloadPolicyRule": {
                    "guestOsRule": {
                        "operator": "string",
                        "value": "string"
                    },
                    "guestOsFamilyRule": {
                        "operator": "string",
                        "value": "string"
                    },
                    "labelSelectorRules": [
                        {
                            "operator": "string",
                            "ruleKey": "string",
                            "values": [
                                "string"
                            ]
                        }
                    ]
                }
            }
        ],
        "workloadPolicyRule": {
            "guestOsRule": {
                "operator": "string",
                "value": "string"
            },
            "guestOsFamilyRule": {
                "operator": "string",
                "value": "string"
            },
            "labelSelectorRules": [
                {
                    "operator": "string",
                    "ruleKey": "string",
                    "values": [
                        "string"
                    ]
                }
            ]
        }
    },
    "compatibleRegionZones": [
        {
            "region": {
                "name": "string",
                "id": "string"
            },
            "zones": [
                {
                    "name": "string",
                    "id": "string"
                }
            ]
        }
    ],
    "creationStatus": "string",
    "creationTime": "string",
    "syncedToVCenters": false
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"}]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/infraPolicies/{urn}